<template>
  <div class="notice">
    <el-dialog
        v-model="dialogVisible"
        title="历史记录"
        width="50%"
        :before-close="handleClose"
        :close-on-press-escape="false"
        :close-on-click-modal="false"
    >
      <el-table v-loading="loading" :data="state.tableList" :border="true">
        <el-table-column label="序号" type="index" align="center" width="80" />
        <el-table-column label="探测器" prop="createTime" align="center"  />
        <el-table-column label="浓度值" prop="basicName" align="center" />
        <el-table-column label="状态" prop="tabooBasicName" align="center" />
        <el-table-column label="属性" prop="tabooBasicName" align="center" />
        <el-table-column label="时间" prop="updateBy" align="center" />

      </el-table>
      <pagination
          v-show="total > 0"
          :total="total"
          v-model:page="queryParams.pageNum"
          v-model:limit="queryParams.pageSize"
          @pagination="getList"
      />
    </el-dialog>
  </div>
</template>
<script setup>
import {reactive, ref, toRefs} from "vue";

const dialogVisible = ref(false);
const emit = defineEmits(["getList"]);
const loading = ref(false)
const state = reactive({
  tableList: [],
  total: 0,
  queryParams: {
    pageNum: 1,
    pageSize: 5,
  },

})
const { queryParams, total } = toRefs(state);
const openDialog = async (type,value) => {
  dialogVisible.value = true;
}
const getList = async () => {
  // loading.value = true
  // const res = await getAvoidInfoPage(state.queryParams)
  // if(res.code == 200){
  //   state.tableList = res.data.list
  //   state.total = res.data.total
  // }else{
  //   ElMessage.warning(res.message)
  // }
  // loading.value = false
}
const handleClose = () => {
  dialogVisible.value = false;
  emit("getList")
}
defineExpose({
  openDialog
});

</script>

<style scoped lang="scss">

</style>
